Ver código fonte

fix(action): enable ccache installation steps in build workflow

TheWildJames 4 meses atrás
pai
commit
d3f76011cf
1 arquivos alterados com 5 adições e 5 exclusões
  1. 5 5
      .github/workflows/build.yml

+ 5 - 5
.github/workflows/build.yml

@@ -314,11 +314,11 @@ jobs:
         set -euo pipefail
         
         # Download and install ccache
-        #echo "Installing ccache..."
-        #curl -LfsS --retry 5 --retry-delay 5 --retry-all-errors --connect-timeout 30 --tcp-fastopen -H "User-Agent: Mozilla/5.0" "https://github.com/WildKernels/kernel_patches/raw/refs/heads/main/ccache/ccache-x86-64" -o ccache || { echo "❌ Failed to download ccache"; exit 1; }
-        #sudo cp -f ./ccache /usr/bin/ccache || { echo "❌ Failed to install ccache"; exit 1; }
-        #sudo chmod +x /usr/bin/ccache
-        #rm -f ./ccache
+        echo "Installing ccache..."
+        curl -LfsS --retry 5 --retry-delay 5 --retry-all-errors --connect-timeout 30 --tcp-fastopen -H "User-Agent: Mozilla/5.0" "https://github.com/WildKernels/kernel_patches/raw/refs/heads/main/ccache/ccache-x86-64" -o ccache || { echo "❌ Failed to download ccache"; exit 1; }
+        sudo cp -f ./ccache /usr/bin/ccache || { echo "❌ Failed to install ccache"; exit 1; }
+        sudo chmod +x /usr/bin/ccache
+        rm -f ./ccache
         
         # Verify ccache
         if ! /usr/bin/ccache --version > /dev/null 2>&1; then